Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.storage
Class RetrievalResults

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--context.arch.storage.RetrievalResults

public class RetrievalResults
extends java.util.Vector

This class is a container for the results of a retrieval request.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RETRIEVAL_RESULTS` Tag for retrieval results

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RetrievalResults()` Empty constructor
`RetrievalResults(DataObject data)` Constructor that takes a DataObject holding the callback info.

Method Summary
`void` | `addAttributeNameValues(AttributeNameValues anvs)` This method adds an AttributeNameValues object to this container
`AttributeNameValues` | `getAttributeNameValuesAt(int index)` This method retrieves the AttributeNameValues object at the given index.
`int` | `numAttributeNameValues()` This method returns the number of AttributeNameValues objects contained in this container.
`DataObject` | `toDataObject()` This method converts the RetrievalResults object to a DataObject

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RETRIEVAL_RESULTS

    public static final java.lang.String RETRIEVAL_RESULTS

  Tag for retrieval results

Constructor Detail

### RetrievalResults

    public RetrievalResults()

  Empty constructor

### RetrievalResults

    public RetrievalResults(DataObject data)

  Constructor that takes a DataObject holding the callback info. The DataObject is expected to contain the tag.
  Parameters:
    `data` - DataObject containing the results of a retrieval

Method Detail

### toDataObject

    public DataObject toDataObject()

  This method converts the RetrievalResults object to a DataObject
  Returns:
    RetrievalResults object converted to a DataObject

### addAttributeNameValues

    public void addAttributeNameValues(AttributeNameValues anvs)

  This method adds an AttributeNameValues object to this container
  Parameters:
    `anvs` - AttributeNameValues object to be added

### getAttributeNameValuesAt

    public AttributeNameValues getAttributeNameValuesAt(int index)

  This method retrieves the AttributeNameValues object at the given index.
  Parameters:
    `index` - at which to retrieve the AttributeNameValues object
  Returns:
    AttributeNameValues object at the given index

### numAttributeNameValues

    public int numAttributeNameValues()

  This method returns the number of AttributeNameValues objects contained in this container.
  Returns:
    the number of AttributeNameValues objects in this container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD